/*
Description: Used to style the TinyMCE editor.
*/

/**
 * Table of Contents:
 *
 * 1.0 - Body
 * 2.0 - Typography
 * 3.0 - Elements
 * 4.0 - Alignment
 * 5.0 - Caption
 * 6.0 - Galleries
 * 7.0 - Media Elements
 */

/**
 * 1.0 - Body
 */
body {
    margin: 20px 40px;
    max-width: 720px;
    background-color: #fff;
    color: #282828;
}

/**
 * 2.0 - Typography
 */

body,
button,
input,
select,
textarea {
    font-size: 15px;
    font-family: 'Lato', sans-serif;
    line-height: 1.7;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
    font-weight: 700;
    font-family: 'Poppins', sans-serif;
}

h1, h2 {
    margin-bottom: .3em;
}

h3, h4, h5 {
    margin-bottom: .5em;
}

h6 {
    margin-bottom: .75em;
}

h1 {
    color: #ff4545;
    letter-spacing: -0.025em;
    font-size: 36px;
    line-height: 1.05;
}

h2 {
    letter-spacing: -.022em;
    font-size: 28px;
    line-height: 1.1
}

h3 {
    letter-spacing: -.02em;
    font-size: 18px;
    line-height: 1.25;
}

h4, h5 {
    font-size: 16px;
    line-height: 1.3;
}

h6 {
    font-size: 14px;
    line-height: 1.4;
}

p, dd {
    margin: 0 0 1.25em 0;
    padding: 0;
}

dfn, cite, em, i {
    font-style: italic;
}

blockquote {
    position: relative;
    display: inline-block;
    clear: both;
    overflow: hidden;
    margin: 20px 0;
    padding-left: 3em;
    color: #aaa;
    font-style: italic;
    border-left: 4px solid #eee;
}

blockquote.alignleft,
blockquote.alignright {
    width: 34%;
    font-size: 14px;
    font-size: 0.875rem;
}

address {
    margin: 0 0 1.5em;
}

pre {
    overflow: auto;
    max-width: 100%;
    line-height: 1.6;
    display: block;
    padding: 10px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    background-color: #f2f2f2;
    margin-bottom: 30px;
    font-family: monospace;
}

code, kbd, tt, var {
    font-size: 15px;
    font-size: 0.9375rem;
    font-family: monospace;
}

abbr,
acronym {
    border-bottom: 1px dotted #666;
    cursor: help;
}

mark,
ins {
    background: #eee;
    text-decoration: none;
}

big {
    font-size: 125%;
}

blockquote,
q {
    quotes: "" "";
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: "";
}

html[lang="th"] h1,
html[lang="th"] h2,
html[lang="th"] h3,
html[lang="th"] h4,
html[lang="th"] h5,
html[lang="th"] h6 {
    letter-spacing: 0;
    line-height: 1.65;
}

html[lang="th"] body,
html[lang="th"] button,
html[lang="th"] input,
html[lang="th"] select,
html[lang="th"] textarea {
    line-height: 1.8;
}

/**
 * 3.0 - Elements
 */

hr {
    margin-bottom: 1.5em;
    height: 1px;
    border: 0;
    background-color: #bbb;
}

ul,
ol {
    margin: 0 0 1.25em 1.5em;
    padding: 0;
}

ul {
    list-style: disc;
}

ol {
    counter-reset: item;
}

ol li {
    position: relative;
    display: block;
}

ol li:before {
    position: absolute;
    left: -1.5em;
    content: counter(item);
    counter-increment: item;
    font-weight: 800;
}

li > ul,
li > ol {
    margin-bottom: 0;
    margin-left: 1.5em;
}

dt {
    font-weight: 700;
}

dd {
    margin: 0 1.5em 1.5em;
}

table {
    margin: 0 0 1.5em;
    width: 100%;
    border-collapse: collapse;
}

thead th {
    padding-bottom: 0.5em;
    border-bottom: 2px solid #bbb;
}

th {
    padding: 0.4em;
    text-align: left;
}

tr {
    border-bottom: 1px solid #eee;
}

td {
    padding: 0.4em;
}

th:first-child,
td:first-child {
    padding-left: 0;
}

th:last-child,
td:last-child {
    padding-right: 0;
}

a {
    color: #ff4545;
    text-decoration: underline;
}

a img {
    background: #fff;
    -webkit-box-shadow: 0 0 0 6px #fff;
    box-shadow: 0 0 0 6px #fff;
}

/**
 * 4.0 - Alignment
 */

img {
    max-width: 100%;
    width: inherit;
    height: auto;
}

embed, iframe, object {
    margin-bottom: 1.5em;
    max-width: 100%;
}

/**
 * 5.0 - Caption
 */
.wp-caption {
    display: block;
    padding-top: 5px;
    text-align: right;
    color: #777;
    font-size: 12px;
    line-height: 1.5;
    margin-top: 2em;
    margin-bottom: 2em;
}

.wp-caption img[class*="wp-image-"] {
    display: block;
    margin-right: auto;
    margin-left: auto;
}

.wp-caption .wp-caption-text {
    margin: 0.8075em 0;
}

blockquote p:last-of-type {
    color: inherit;
    font-style: inherit;
    margin-bottom: 0;
}

/**
 * 6.0 - Galleries
 */

.gallery {
    margin-bottom: .5em;
}

.gallery-item {
    display: inline-block;
    width: 100%;
    vertical-align: top;
    text-align: center;
    margin-bottom: 0;
}

.gallery-item img {
    width: 100%;
}

.gallery-item a,
.gallery-item a:hover,
.gallery-item a:focus {
    display: inline-block;
    background: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.gallery-columns-2 .gallery-item {
    max-width: 50%;
}

.gallery-columns-3 .gallery-item {
    max-width: 33.33%;
}

.gallery-columns-4 .gallery-item {
    max-width: 25%;
}

.gallery-columns-5 .gallery-item {
    max-width: 20%;
}

.gallery-columns-6 .gallery-item {
    max-width: 16.66%;
}

.gallery-columns-7 .gallery-item {
    max-width: 14.28%;
}

.gallery-columns-8 .gallery-item {
    max-width: 12.5%;
}

.gallery-columns-9 .gallery-item {
    max-width: 11.11%;
}

.gallery-caption {
    display: block;
}

/**
 * 7.0 - Media Elements
 */

.mejs-container {
    margin-bottom: 1.5em;
}

/* Audio Player */
.mejs-controls a.mejs-horizontal-volume-slider,
.mejs-controls a.mejs-horizontal-volume-slider:focus,
.mejs-controls a.mejs-horizontal-volume-slider:hover {
    border: 0;
    background: transparent;
}
